### File

`packages/eui/packages/components-next/src/lib/components/eui-message-box/container/eui-message-box-container.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-message-box-container`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-message-box-container.component.html`

### Index

###### Properties
Public accept Public acceptLabel Public close Public closeOnClickOutside Public content Public dismiss Public dismissLabel Public e2eAttr Public footer Public hasCloseButton Public isContentTemplatePortal Public isFooterTemplatePortal Public open Public outsideClick Public title Public type
###### Methods
Public closeMessageBox Public onAccept Public onDismiss

### Constructor

`constructor()`

### Methods

Public closeMessageBox
`closeMessageBox()`
Returns : `void`

Public onAccept
`onAccept()`
Returns : `void`

Public onDismiss
`onDismiss()`
Returns : `void`

### Properties

Public accept
Default value : `new Subject()`

Public acceptLabel
Type : `string`

Public close
Default value : `new Subject()`

Public closeOnClickOutside
Type : `boolean`

Public content
Type : `string | TemplatePortal`

Public dismiss
Default value : `new Subject()`

Public dismissLabel
Type : `string`

Public e2eAttr
Type : `string`
Default value : `'eui-message-box'`

Public footer
Type : `TemplatePortal`

Public hasCloseButton
Type : `boolean`

Public isContentTemplatePortal
Default value : `false`

Public isFooterTemplatePortal
Default value : `false`

Public open
Default value : `new Subject()`

Public outsideClick
Default value : `new Subject()`

Public title
Type : `string`

Public type

# result-matching ""

# No results matching ""